<template>
    <div class="dialog-table-container sub-page-inner">
        <div class="sub-page-detail">
            <el-table :element-loading-background="loadingColor" v-loading="loading" height="calc(100% - 20PX)"
                align="center" :data="tableData" class="dialog_table" :cell-style="{ 'text-align': 'center' }"
                :header-cell-style="{ 'text-align': 'center' }">
                <el-table-column type="index" label="序号" align="center" width="80">
                </el-table-column>
                <el-table-column prop="projectName" label="项目名称">
                    <template v-slot="{ row }">
                        <span style="cursor: pointer">{{ row.projectName }}</span>
                    </template>
                </el-table-column>
                <el-table-column prop="totalNum" label="目标数量" width="100" />
                <el-table-column prop="finishNum" label="完成数量" width="100" />
                <el-table-column prop="unStartNum" label="未完成数量" width="120" />
                <el-table-column prop="complianceRate" label="完成率(%)" width="110" />
                <el-table-column prop="grade" label="完成情况" width="120">
                    <template v-slot="{ row }">
                        <el-tag v-if="row.grade == 1" type="success" effect="dark">已完成</el-tag>
                        <el-tag v-if="row.grade == 2" type="danger" effect="dark">未完成</el-tag>
                        <!-- <el-tag v-if="row.grade == 3" type="warning" effect="dark">一般</el-tag> -->
                    </template>
                </el-table-column>
            </el-table>
            <!-- <div style="font-size: 16PX;">备注：根据达标率进行排名取前20%的为优秀，50%-80%为良好，其余为一般。</div> -->
        </div>
    </div>
</template>

<script>
import apiList from '@/api/bigScreen/majorView.js'
export default {
    name: 'monthPlan',
    props: {
        tableOptions: {
            type: Object,
            default: () => {
                return {}
            },
        },
    },
    data() {
        return {
            loading: false,
            loadingColor: 'rgba(6, 46, 106, 0.4)',
            tableData: [],
            origin: [],
        }
    },
    mounted() {
        this.loadData()
        this.$bus.$on('changeDate', (searchDate) => {
            this.loadData()
        })
    },
    created() {
        this.$emit('searchDateChange')
    },
    methods: {
        // 改革品牌榜
        loadData() {
            this.loading = true
            let data = JSON.parse(sessionStorage.getItem('searchDate'))
            apiList.getIndexPieChartData(data, (res) => {
                if (res.indexVoList) {
                    this.tableData = res.indexVoList
                }
                this.loading = false
            })
        },
        // 计算优良一般比例 排名的
        // 排名的20%    优
        // 排名的30% 良
        // 排名的50%   一般
        mathTargetIndexFinish() {
            let targetSn = 0
            this.origin.forEach((item) => {
                if (targetSn < item.targetSn) {
                    targetSn = item.targetSn
                }
            })
            let level1 = targetSn * 0.2
            let level2 = targetSn * 0.5

            let level1Num = 0
            let level2Num = 0
            let level3Num = 0
            this.origin.forEach((item) => {
                if (item.targetSn <= level1) {
                    item.type = 1
                } else if (item.targetSn <= level2) {
                    item.type = 2
                } else {
                    item.type = 3
                }
            })
        },
    },
}
</script>
<style lang="scss" scoped>

.sub-page-detail {
    width: 66%;
    * {
        font-size: 18PX !important;
    }
}
.sub-page-detail {
    margin: 0 auto;
}

.column-item-rotate {
    display: inline-block;
    transform: rotateX(180deg);
}

.cqlt-icon-arrow {
    font-size: 18PX;
}

.column-trend-icon-1 {
    color: #59c06c;
    text-shadow: #59c06c 1PX 0 12PX;
}

.column-trend-icon-2 {
    color: #fe3b30;
    text-shadow: #fe3b30 1PX 0 12PX;
}
</style>
<style lang="scss">
@import './table.scss';
</style>
